VME Intensity Monitor - Feature #11274
Milestone # 10477 (New): ANUB Startup

Weighted running average device
12/21/2015 10:41 AM - John Diamond

Status: Closed
Priority: Normal
Assignee: John Diamond
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

12/21/2015

100%
4.00 hours
6.00 hours

Description
See: I/R:RABEAM and I/R:RALBS (weights)

History

#1 - 12/30/2015 11:32 AM - John Diamond
- % Done changed from 0 to 70

Create WeightedAvgFilter class to support :RABEAM and :QABEAM. Configured filter chains for :RABEAM, R:RABEAM, |:QABEAM and

R:QABEAM on anub. Created the following ACNET devices:

R:RADCCT (weights 0.98, 0.02)
R:QADCCT (weights 0.95, 0.05)
I:RADCCT (weights 0.85, 0.15)
I:QADCCT (weights 0.95, 0.05)

Tested and they appear to be working fine.
Still need support for :RALBS...

#2 - 12/31/2015 11:27 AM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 70 to 100

Implemented WeightsACNET class to support the :RALBS setting device.

Added configuration for Z:IRALBS (for :RADCCT) and Z:RRALBS (for R:RADCCT) to anubstartup and created ACNET devices.
